Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 20231002: Replace RenderArena with PartitionAlloc (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 7 months ago by Chris Evans
Modified:
3 years, 6 months ago
Reviewers:
abarth-chromium
CC:
blink-reviews, kenneth.christiansen, chromiumbugtracker_adobe.com, eae+blinkwatch, leviw+renderwatch, feature-media-reviews_chromium.org, dglazkov+blink, f(malita), adamk+blink_chromium.org, jchaffraix+rendering, pdr, Stephen Chennney, jeez, vcarbune.chromium
Visibility:
Public.

Description

Replace RenderArena with PartitionAlloc. We believe this is memory positive, a very minor binary size saving, and perf neutral; see the bug for measurements. It's definitely a code clean-up. Perf bots will be carefully monitored after the land. (This CL is mostly a subset of previously-reviewed https://codereview.chromium.org/16896019/, which we tried to land in a few pieces, to the limited extent possible.) BUG=252057 R=abarth@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=155202

Patch Set 1 #

Patch Set 2 : Fix UAF! #

Patch Set 3 : Style. #

Patch Set 4 : Fix compile. #

Patch Set 5 : Fix Windows compile. #

Patch Set 6 : Fix Windows compile. #

Patch Set 7 : Fix Windows compile. #

Patch Set 8 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+253 lines, -1018 lines) Patch
M Source/core/core.gypi View 1 2 3 4 5 6 7 3 chunks +0 lines, -5 lines 0 comments Download
M Source/core/dom/Document.h View 1 2 3 chunks +0 lines, -5 lines 0 comments Download
M Source/core/dom/Document.cpp View 1 2 5 chunks +2 lines, -10 lines 0 comments Download
M Source/core/dom/Text.cpp View 1 2 3 4 5 6 7 1 chunk +3 lines, -3 lines 0 comments Download
M Source/core/html/BaseButtonInputType.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/html/FileInputType.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLAppletElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLBRElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLButtonElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLCanvasElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLDetailsElement.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLFieldSetElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLFrameElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLFrameSetElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLIFrameElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLImageElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLMarqueeElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLMediaElement.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLMeterElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLPlugInImageElement.cpp View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/html/HTMLProgressElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLSelectElement.cpp View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/html/HTMLSummaryElement.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLTextAreaElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLVideoElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/ImageInputType.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/RangeInputType.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/SearchInputType.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/TextFieldInputType.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/DetailsMarkerControl.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/MediaControlElements.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/MeterShadowElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/PasswordGeneratorButtonElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/PickerIndicatorElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/ProgressShadowElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/shadow/SliderThumbElement.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/html/shadow/TextControlInnerElements.cpp View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/html/track/TextTrackCue.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/page/FrameView.cpp View 1 2 3 chunks +1 line, -4 lines 0 comments Download
M Source/core/page/Page.h View 1 2 2 chunks +0 lines, -12 lines 0 comments Download
M Source/core/page/Page.cpp View 1 2 2 chunks +0 lines, -15 lines 0 comments Download
D Source/core/platform/Arena.h View 1 chunk +0 lines, -89 lines 0 comments Download
D Source/core/platform/Arena.cpp View 1 2 1 chunk +0 lines, -188 lines 0 comments Download
M Source/core/platform/Partitions.h View 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/platform/Partitions.cpp View 2 chunks +3 lines, -0 lines 0 comments Download
M Source/core/platform/text/BidiResolver.h View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/platform/text/BidiRunList.h View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/BidiRun.h View 1 2 1 chunk +3 lines, -11 lines 0 comments Download
M Source/core/rendering/BidiRun.cpp View 1 2 2 chunks +5 lines, -27 lines 0 comments Download
M Source/core/rendering/InlineBox.h View 1 2 3 4 2 chunks +5 lines, -11 lines 0 comments Download
M Source/core/rendering/InlineBox.cpp View 1 2 3 chunks +7 lines, -24 lines 0 comments Download
M Source/core/rendering/InlineFlowBox.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/InlineFlowBox.cpp View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M Source/core/rendering/InlineIterator.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/InlineTextBox.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/InlineTextBox.cpp View 1 2 2 chunks +4 lines, -4 lines 0 comments Download
M Source/core/rendering/LayoutState.h View 1 2 3 chunks +3 lines, -11 lines 0 comments Download
M Source/core/rendering/LayoutState.cpp View 1 2 2 chunks +5 lines, -22 lines 0 comments Download
D Source/core/rendering/RenderArena.h View 1 chunk +0 lines, -79 lines 0 comments Download
D Source/core/rendering/RenderArena.cpp View 1 2 1 chunk +0 lines, -172 lines 0 comments Download
M Source/core/rendering/RenderBlock.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderBlock.cpp View 1 2 9 chunks +9 lines, -15 lines 0 comments Download
M Source/core/rendering/RenderBlockLineLayout.cpp View 1 2 11 chunks +13 lines, -14 lines 0 comments Download
M Source/core/rendering/RenderBox.cpp View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
M Source/core/rendering/RenderDeprecatedFlexibleBox.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderFlexibleBox.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderFullScreen.cpp View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderImage.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderInline.cpp View 1 2 7 chunks +6 lines, -10 lines 0 comments Download
M Source/core/rendering/RenderLayer.h View 1 2 3 chunks +3 lines, -12 lines 0 comments Download
M Source/core/rendering/RenderLayer.cpp View 1 2 3 4 5 6 7 3 chunks +5 lines, -14 lines 0 comments Download
M Source/core/rendering/RenderLayerModelObject.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderLineBoxList.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderLineBoxList.cpp View 1 2 3 chunks +4 lines, -5 lines 0 comments Download
M Source/core/rendering/RenderListMarker.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderMenuList.cpp View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderMultiColumnFlowThread.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderMultiColumnSet.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderNamedFlowThread.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderObject.h View 1 2 3 2 chunks +4 lines, -13 lines 0 comments Download
M Source/core/rendering/RenderObject.cpp View 1 2 6 chunks +27 lines, -41 lines 0 comments Download
M Source/core/rendering/RenderQuote.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderReplica.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderRubyBase.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderRubyRun.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderScrollbarPart.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderTable.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderTableCell.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderTableRow.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderTableSection.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderText.cpp View 1 2 3 chunks +3 lines, -4 lines 0 comments Download
M Source/core/rendering/RenderView.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderView.cpp View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderWidget.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderWidget.cpp View 1 2 4 chunks +4 lines, -9 lines 0 comments Download
D Source/core/rendering/RenderWidgetProtector.h View 1 chunk +0 lines, -54 lines 0 comments Download
M Source/core/rendering/RootInlineBox.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RootInlineBox.cpp View 1 2 4 chunks +9 lines, -10 lines 0 comments Download
M Source/core/rendering/style/ContentData.cpp View 1 2 1 chunk +3 lines, -3 lines 0 comments Download
M Source/core/rendering/svg/RenderSVGInline.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/svg/RenderSVGInlineText.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/svg/RenderSVGText.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGAElement.cpp View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/svg/SVGAltGlyphElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGCircleElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGClipPathElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGDefsElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGEllipseElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGFilterElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGFilterPrimitiveStandardAttributes.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGForeignObjectElement.cpp View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGGElement.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/svg/SVGGraphicsElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGImageElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGLinearGradientElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGMarkerElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGMaskElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGPathElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGPatternElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGRadialGradientElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGRectElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGSVGElement.cpp View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/svg/SVGStopElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGSwitchElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGSymbolElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGTRefElement.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGTSpanElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGTextElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGTextPathElement.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/svg/SVGUseElement.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 9 (0 generated)
Chris Evans
I think I'm ready to give this a whirl when the tree is quiet?
3 years, 7 months ago (2013-07-30 00:58:32 UTC) #1
Chris Evans
On 2013/07/30 00:58:32, Chris Evans wrote: > I think I'm ready to give this a ...
3 years, 7 months ago (2013-07-30 01:25:15 UTC) #2
abarth-chromium
Thanks for studying the performance of this change. Elliot seems happy with your results. LGTM
3 years, 7 months ago (2013-07-30 07:18:11 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cevans@chromium.org/20231002/15001
3 years, 7 months ago (2013-07-30 07:25:18 UTC) #4
Chris Evans
On 2013/07/30 07:25:18, I haz the power (commit-bot) wrote: > CQ is trying da patch. ...
3 years, 7 months ago (2013-07-30 07:27:24 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cevans@chromium.org/20231002/36001
3 years, 7 months ago (2013-07-30 19:01:31 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cevans@chromium.org/20231002/36001
3 years, 7 months ago (2013-07-30 19:07:24 UTC) #7
commit-bot: I haz the power
Retried try job too often on mac_blink_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_blink_rel&number=517
3 years, 7 months ago (2013-07-30 23:44:40 UTC) #8
Chris Evans
3 years, 6 months ago (2013-07-31 02:21:20 UTC) #9
Message was sent while issue was closed.
Committed patchset #8 manually as r155202 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd